.main-page-slide {
    max-height: 610px;
    display: grid;
    align-items: start;
    grid-template-rows: minmax(0, 1fr);
}

.main-page-slide picture {
    grid-area: 1 / 1;
    width: 100%;
    height: 100%;
}

.main-page-slide picture img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    object-position: center;
}

.main-page-slide-text-wrapper {
    grid-area: 1 / 1;
    display: grid;
    grid-template-rows: repeat(5, 1fr);
    grid-template-columns: repeat(3, 1fr);

    padding: 60px;
    position: relative;
    width: 100%;
    height: 100%;

    margin-left: auto !important;
    margin-right: auto !important;
    z-index: 1;
}

a.main-page-slide-link {
    text-decoration: none;
}

.main-page-slide-text-wrapper:has(.main-page-slide-text.banner__text--pos-left-top-edge){
    padding-top: 25px;
}
.main-page-slide-text.banner__text--pos-left-top-edge {
    align-self: center;
}

@media (max-width: 1366px) {
    .main-page-slide {
        min-height: 420px;
        max-height: 420px;
    }
    .main-page-slide-text-wrapper {
        padding: 40px;

    }
}
@media (max-width: 740px) {
    .main-page-slide {
        min-height: 240px;
        max-height: 240px;
    }
    .main-page-slide-text-wrapper {
        padding: 30px;
    }
}
